__gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare > Class Template Reference
Inheritance diagram for __gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare >:
[legend]

## Public Member Functions

| _LoserTreeUnguardedBase (unsigned int __k, const _Tp &__sentinel, _Compare __comp=std::less< _Tp >())
int | __get_min_source ()
void | __insert_start (const _Tp &__key, int __source, bool)

## Protected Attributes

_Compare | _M_comp
unsigned int | _M_ik
unsigned int | _M_k
_Loser * | _M_losers
unsigned int | _M_offset

## Detailed Description

### template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreeUnguardedBase< _Tp, _Compare >

Base class for unguarded _LoserTree implementation.

The whole element is copied into the tree structure.

No guarding is done, therefore not a single input sequence must run empty. Unused __sequence heads are marked with a sentinel which is > all elements that are to be merged.

This is a very fast variant.

Definition at line 574 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h